require 'rails'

require 'active_record_schema'
require 'squeel'
require 'auto_strip_attributes'
require 'jquery-rails'
require 'coffeebeans'
require 'rambler'
require 'rails_config'
require 'flash_cookie_session'
require 'remotipart'
require 'devise'
require 'checkin'
require 'nokogiri'
require 'htmlentities'
require 'rails-i18n'
require 'devise-i18n'
require 'devise-i18n-views'
require 'kaminari-i18n'
require 'remoting'
require 'kaminari'
require 'rails-slow-assets-workaround'
require 'meta-tags-helpers'
require 'resource-presentation-helpers'
require "mobile-fu"
require 'rails_nested_layouts'
require 'has_partial'

module Fullstack
  class Railtie < ::Rails::Railtie
    initializer 'fullstack.autoload', :before => :set_autoload_paths do |app|
      app.config.autoload_paths << Rails.root.join('lib/support')
    end
  end
end